|  | Home | Documentation | curlapi.h File Reference updated by Robert van Engelen |

Classes | Macros | Functions | Variables
curlapi.h File Reference
`#include "stdsoap2.h"`
`#include <curl/curl.h>`
Include dependency graph for curlapi.h:
This graph shows which files directly or indirectly include this file:

## Classes

struct | soap_curl_data
| plugin data to store CURL handle and override callbacks More...

## Macros

#define | SOAP_CURL_ID "SOAP-CURL/1.2"

## Functions

SOAP_FMAC1 int SOAP_FMAC2 | soap_curl (struct soap *soap, struct soap_plugin *p, void *arg)
| Plugin registry function, used with soap_register_plugin and soap_register_plugin_arg.
SOAP_FMAC1 void SOAP_FMAC2 | soap_curl_reset (struct soap *soap)
| Reset the plugin so gSOAP IO behaves normally. This is an optional API call, not required except when serializing data after an error.

## Variables

const char | soap_curl_id []

## Macro Definition Documentation

## ◆ SOAP_CURL_ID

#define SOAP_CURL_ID "SOAP-CURL/1.2"

Plugin identification for plugin registry

## Function Documentation

## ◆ soap_curl()

SOAP_FMAC1 int SOAP_FMAC2 soap_curl | ( | struct soap * | soap,
|  | struct soap_plugin * | p,
|  | void * | arg )

Plugin registry function, used with soap_register_plugin and soap_register_plugin_arg.

Parameters

  | soap | context
  [in,out] | p | plugin created in registry
  [in] | arg | passed from soap_register_plugin_arg

Returns
  SOAP_OK

## ◆ soap_curl_reset()

SOAP_FMAC1 void SOAP_FMAC2 soap_curl_reset | ( | struct soap * | soap | ) |

Reset the plugin so gSOAP IO behaves normally. This is an optional API call, not required except when serializing data after an error.

Parameters

  soap | context

## Variable Documentation

## ◆ soap_curl_id

const char soap_curl_id[]

extern

Plugin identification for plugin registry